/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;


import org.sourceforge.writexml.WriteableToXml;

public final class NonConformantTag implements XhtmlTag, BodyElement<DoesNotContainFormTag, TagScope.InlineExceptAnchor> {

    private final WriteableToXml writeableToXml;

    private NonConformantTag(final WriteableToXml writeableToXml) {
        this.writeableToXml = writeableToXml;
    }

    public static NonConformantTag nonConformantTag(final WriteableToXml writeableToXml) {
        return new NonConformantTag(writeableToXml);
    }

    public WriteableToXml asWriteableToXml() {
        return writeableToXml;
    }
}
