/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import org.sourceforge.writexml.Attributes;
import org.sourceforge.writexml.TagName;

import static org.sourceforge.writexml.Attribute.attribute;

abstract class StandardXhtmlTag<T extends StandardXhtmlTag<T, U>, U extends XhtmlTag> extends BasicXhtmlTag<T, U> {

    StandardXhtmlTag(final TagName tagName, final Attributes attributes, final Iterable<? extends U> children) {
        super(tagName, attributes, children);
    }

    public final T withClass(final ClassName className) {
        return makeANewOne(attribute("class", className, NAMESPACE));
    }

    public final T withStyle(final Style style) {
        return makeANewOne(attribute("style", style, NAMESPACE));
    }

    public final T withTitle(final Title title) {
        return makeANewOne(attribute("title", title, NAMESPACE));
    }
}
